<?php require "../../common/html.php"; ?>

<p>
	Ce service permet d'envoyer des fichiers sur le serveur par <?= linkToDocs('sftp', 'SFTP') ?> afin de les rendre accessibles par <?= linkToDocs('http', 'HTTP') ?>.
</p>

<?php displayIndex(); ?>

<p>
	Vous avez accès à un espace <abbr title="SSH File Transfert Protocol">SFTP</abbr>. Vous pouvez téléverser vos sites dans <code>/&lt;nom du site&gt;/*</code>. Indiquez les données ci-dessous à votre client <abbr title="SSH File Transfert Protocol">SFTP</abbr> pour y accéder.
</p>

<section>
	<h2>Authentifier le serveur</h2>

	<details>
		<summary>Clé publique</summary>
		<code><?= file_get_contents(CONF['ht']['sftp_pub']) ?></code>
	</details>

	<details>
		<summary>Empreinte</summary>
		<code><?= file_get_contents(CONF['ht']['sftp_fp']) ?></code>
	</details>

	<details>
		<summary>Art ASCII</summary>
		<pre><?= file_get_contents(CONF['ht']['sftp_asciiart']) ?></pre>
	</details>

</section>

<section>
	<h2>Se connecter au serveur</h2>

	<a href="sftp://<?= isset($_SESSION['username']) ? $_SESSION['username'] : '&lt;username&gt;'; ?>@<?= CONF['ht']['sftp_domain'] ?>:<?= CONF['ht']['public_sftp_port'] ?>/">sftp://<?= isset($_SESSION['username']) ? $_SESSION['username'] : '&lt;username&gt;'; ?>@<?= CONF['ht']['sftp_domain'] ?>:<?= CONF['ht']['public_sftp_port'] ?>/</a>

	<dl>
		<dt>Serveur</dt>
		<dd>
			<code><?= CONF['ht']['sftp_domain'] ?></code>
		</dd>
		<dt>Port</dt>
		<dd>
			<code><?= CONF['ht']['public_sftp_port'] ?></code><?php if (CONF['ht']['public_sftp_port'] === 22) echo " (par défaut)"; ?>
		</dd>
		<dt>Dossier</dt>
		<dd>
			<code>/</code>
		</dd>
		<dt>Utilisataire</dt>
		<dd>
			<code><?= isset($_SESSION['username']) ? $_SESSION['username'] : '&lt;username&gt;'; ?></code>
		</dd>
		<dt>Clé de passe</dt>
		<dd>
			celle que vous avez définit lors de l'activation de l'accès <abbr title="SSH File Transfert Protocol">SFTP</abbr>
		</dd>
	</dl>
</section>

<?php closeHTML(); ?>
